function F=map_phi_even(beven,M)

global mu sigma

m=length(beven);
beven=[beven;zeros(M-m,1)];
cf=cubic_sumFFT_real(beven);
F=(pi^2*(2*[1:1:M].').^2+sigma*mu).*beven(1:M)+2*sigma*cf(1:end);
    
function [s]=cubic_sumFFT_real(a1)

m=length(a1);
b1=-flipud(a1(1:m));
ta1=[zeros(m,1);b1;0;a1;zeros(m,1)];
tu1=ifft(ifftshift(ta1));
Ft=fftshift(fft(tu1.*tu1.*tu1));

s=(4*m+1)^2*real(Ft(2*m+2:3*m+1));
end


end
